/*einfaches Men ohne mehrere Seiten auf einer
Menebene. BACK und NEXT werden als Sprung zu
einer Menebene benutzt. NEXT daher unntig, da
die entsprechende Menauswahl schon die nchste
Menebene aufruft.
*/

#include <string>
#include <admin>
#include <adminlib>

new STRING_VERSION[MAX_DATA_LENGTH]="1.0";

//Menebenen bzw. Sprungadressen
#define Start				1
#define Hauptmenu			2
#define Zweitesmenu			3
#define Drittesmenu			4
/*usw.*/

//feste Keys
#define BACK	8	//128
#define NEXT	9	//256
#define CANCEL	0	//512


new g_UserMenu[MAX_PLAYERS];
new g_UserSelect[MAX_PLAYERS];

public plugin_init() {
	plugin_registerinfo("Test Menu","Admin Menu",STRING_VERSION);
	plugin_registercmd("testmenu","admin_menu",ACCESS_ALL,"testmenu: Starten");
	plugin_registercmd("menuselect","menuselect",ACCESS_ALL);
	//Interne CS Menaufrufe, die abgefangen werden mssen
	plugin_registercmd("radio1","SetMenuData",ACCESS_ALL);
	plugin_registercmd("radio2","SetMenuData",ACCESS_ALL);
	plugin_registercmd("radio3","SetMenuData",ACCESS_ALL);
	plugin_registercmd("buyequip","SetMenuData",ACCESS_ALL);
	plugin_registercmd("buy","SetMenuData",ACCESS_ALL);
	plugin_registercmd("chooseteam","SetMenuData",ACCESS_ALL);
	plugin_registercmd("showbriefing","SetMenuData",ACCESS_ALL);
	return PLUGIN_CONTINUE;
}

public SetMenuData(HLCommand,HLData,HLUserName,UserIndex){
	if(g_UserMenu[UserIndex]!=0){
		new UserName[MAX_NAME_LENGTH];
		convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
 		messageex(UserName,"[TestMenu] Anderes Menue wurde aufgerufen und Testmenue geschlossen!",print_chat);
 		reset_menu(UserIndex);
 	}
 	return PLUGIN_CONTINUE;
}

reset_menu(UserIndex){
	g_UserMenu[UserIndex]=0;
 	g_UserSelect[UserIndex]=0;
}

public admin_menu(HLCommand,HLData,HLUserName,UserIndex){
	new UserName[MAX_NAME_LENGTH];
	convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
	g_UserMenu[UserIndex]=Start;
	menu_handling(UserName,UserIndex);
	return PLUGIN_HANDLED;
}		

menu_handling(UserName[],UserIndex){
	new Text[MAX_TEXT_LENGTH];
	new keys;
	switch(g_UserMenu[UserIndex]){
		case Start:{
			snprintf(Text,MAX_TEXT_LENGTH,"1.Ebene: Das kleine Menue-Lernprogramm:^n1.Beginnen^n2.Mehr Infos^n0.Ne, Lass mal.");
			keys=1+2+512;
			menu_display(UserName,Text,UserIndex,Hauptmenu,keys);
		}
		case Hauptmenu:{
			switch(g_UserSelect[UserIndex]){
				case 1:{
					snprintf(Text,MAX_TEXT_LENGTH,"2.Ebene: Das kleine Menue-Lernprogramm:^nSehr gut. Also nun weiter.^n1.Ja^n2.Weiss nicht^n3.Lieber zurueck^n0.Nein, Danke!");
					keys=1+2+4+512;
					menu_display(UserName,Text,UserIndex,Zweitesmenu,keys);
				}
				case 2:{
					snprintf(Text,MAX_TEXT_LENGTH,"2.Ebene: Das kleine Menue-Lernprogramm:^nNa komm. Einfach ausprobieren und auswaehlen...Trau Dich!^n8.Zurueck");
					keys=128;
					menu_display(UserName,Text,UserIndex,Hauptmenu,keys);
				}
			}
		}
		case Zweitesmenu:{
			switch(g_UserSelect[UserIndex]){
				case 1:{
					snprintf(Text,MAX_TEXT_LENGTH,"3.Ebene: Das kleine Menue-Lernprogramm:^nOk. Das war es. Sehr gut gemacht!! Nochmal wiederholen^n1.Ja^n0.Nein Danke!");
					keys=1+512;
					menu_display(UserName,Text,UserIndex,Drittesmenu,keys);
				}
				case 2:{
					snprintf(Text,MAX_TEXT_LENGTH,"3.Ebene: Das kleine Menue-Lernprogramm:^nJetzt zier Dich doch nicht so. Einfach weitermachen!!^n8.Ok. Ich versuche es!");
					keys=128;
					menu_display(UserName,Text,UserIndex,Zweitesmenu,keys);
				}
				//leider BACK in der Form nicht mglich, da andere Auswahl-
				//mglichkeiten eben in die 2. Ebene fhren.
				case 3:{
					g_UserMenu[UserIndex]=Start;
					menu_handling(UserName,UserIndex);
				}
			}
		}
		case Drittesmenu:{
			switch(g_UserSelect[UserIndex]){
				case 1:{
					snprintf(Text,MAX_TEXT_LENGTH,"4.Ebene: Das kleine Menue-Lernprogramm:^nNun. Dann nochmal von vorne!!^n8.Los gehts!");
					keys=128;
					menu_display(UserName,Text,UserIndex,Hauptmenu,keys);
				}
			}
		}
	}
}

menu_display(UserName[],Text[],UserIndex,imenu,keys){
	menu(UserName,Text,keys);
	g_UserMenu[UserIndex]=imenu;
}

public menuselect(HLCommand,HLData,HLUserName,UserIndex){
	new Data[MAX_DATA_LENGTH];
	new UserName[MAX_NAME_LENGTH];
	new iSelect;
	convert_string(HLData,Data,MAX_DATA_LENGTH);
	convert_string(HLUserName,UserName,MAX_NAME_LENGTH);
	if(g_UserMenu[UserIndex]!=0){
		iSelect=strtonum(Data);
		if(iSelect==BACK){
			g_UserMenu[UserIndex]=g_UserMenu[UserIndex]-1;
			g_UserSelect[UserIndex]=1;
		}else if(iSelect==NEXT){
			g_UserMenu[UserIndex]=g_UserMenu[UserIndex]+1;
		}else if(iSelect==CANCEL){
			reset_menu(UserIndex);
			return PLUGIN_CONTINUE;
		}else{
			g_UserSelect[UserIndex]=iSelect;
		}
		menu_handling(UserName,UserIndex);
	}
	return PLUGIN_CONTINUE;
}



